const { EmbedBuilder } = require('discord.js');
const decodeTime = require('format-duration');

module.exports = {
  name: "uptime",
  description: "Obtain bot's uptime",

  run: async (client, interaction) => {
    const embed = new EmbedBuilder()
      .setColor("#FA0CF2")
      .setTitle("🕒 Laura's Uptime is...")
      .setDescription(`${decodeTime(client.uptime)}`)
      .setTimestamp()
      .setFooter({ text: `Requested by ${interaction.user.tag}`, iconURL: `${interaction.user.displayAvatarURL()}` });
    interaction.followUp({ embeds: [embed] });
  },
};